For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve Snapshot

Returns the Snapshot by ID.

get
/snapshots/{snapshotId}
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
snapshotIdstring · uuidRequired

The ID (UUID) of the Snapshot.

Example: a8784665-3d99-5464-af32-30a2967f58e7
Responses
200

Getting Snapshot was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the Snapshot.

Example: a8784665-3d99-5464-af32-30a2967f58e7
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Snapshot.

Example: /snapshots/a8784665-3d99-5464-af32-30a2967f58e7
propertiesobject · SnapshotRequired

A point in time snapshot of a In-Memory DB replica set.

get/snapshots/{snapshotId}
GET /snapshots/{snapshotId} HTTP/1.1
Host: in-memory-db.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "a8784665-3d99-5464-af32-30a2967f58e7",
  "type": "snapshot",
  "href": "/snapshots/a8784665-3d99-5464-af32-30a2967f58e7",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "state": "AVAILABLE",
    "message": "In progress.",
    "replicasetId": "12345678-1234-1234-1234-123456789012",
    "snapshotTime": "2026-01-01T00:00:00.000Z",
    "datacenterId": "123e4567-e89b-12d3-a456-426614174000"
  },
  "properties": {}
}

Last updated

Was this helpful?